<template>
</template>

<script>
	import * as Dictionaries from '$project/utils/dictionaries'
	import Common from '$project/components/Common.vue'
	import {
		mapGetters,
		mapMutations
	} from 'vuex'
	export default {
		name: 'WxPayBack',
		components: {
			Common,
		},
		data() {
			return {}
		},
		created() {
			if (this.wx_pay_back_url) {
				window.location.href = this.wx_pay_back_url;
			} else {
				this.$router.push({
					name: 'Home'
				})
			}
		},
		methods: {},
		mounted() {},
		destroyed() {

		},
		computed: {
			...mapGetters({
				openId: 'wx_openid',
				token: 'token',
				person_data: 'person_data',
				person_popedom: 'person_popedom',
				wx_pay_back_url: 'wx_pay_back_url'
			})
		}
	}
</script>

<style>
</style>
